package com.sundot.airport.web.controller.ledger;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.sundot.airport.common.annotation.Log;
import com.sundot.airport.common.core.controller.BaseController;
import com.sundot.airport.common.core.domain.AjaxResult;
import com.sundot.airport.common.core.page.TableDataInfo;
import com.sundot.airport.common.enums.BusinessType;
import com.sundot.airport.common.utils.poi.ExcelUtil;
import com.sundot.airport.ledger.domain.LedgerServicePatrol;
import com.sundot.airport.ledger.service.ILedgerServicePatrolService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

/**
 * 服务巡查记录Controller
 */
@RestController
@RequestMapping("/ledger/servicePatrol")
public class LedgerServicePatrolController extends BaseController {

    @Autowired
    private ILedgerServicePatrolService service;

    @PreAuthorize("@ss.hasPermi('ledger:servicePatrol:list')")
    @GetMapping("/list")
    public TableDataInfo list(LedgerServicePatrol query) {
        startPage();
        List<LedgerServicePatrol> list = service.selectList(query);
        return getDataTable(list);
    }

    @PreAuthorize("@ss.hasPermi('ledger:servicePatrol:export')")
    @Log(title = "服务巡查记录", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, LedgerServicePatrol query) {
        List<LedgerServicePatrol> list = service.selectList(query);
        ExcelUtil<LedgerServicePatrol> util = new ExcelUtil<>(LedgerServicePatrol.class);
        util.exportExcel(response, list, "服务巡查记录");
    }

    @PreAuthorize("@ss.hasPermi('ledger:servicePatrol:query')")
    @GetMapping("/{id}")
    public AjaxResult getInfo(@PathVariable Long id) {
        return AjaxResult.success(service.getById(id));
    }
}
